org.wildfly.swarm.config.remoting

## Class Connector<T extends Connector<T>>

- java.lang.Object
- - org.wildfly.swarm.config.remoting.Connector<T>

-     public class Connector<T extends Connector<T>>
      extends Object

  The configuration of a Remoting connector.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Connector.ConnectorResources` Child mutators for Connector

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Connector(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `authenticationProvider()` The "authentication-provider" element contains the name of the authentication provider to use for incoming connections.
    `T` | `authenticationProvider(String value)` The "authentication-provider" element contains the name of the authentication provider to use for incoming connections.
    `String` | `getKey()`
    `T` | `properties(List<Property> value)` Add all Property objects to this subresource
    `T` | `property(Property value)` Add the Property object to the list of subresources
    `T` | `property(PropertySupplier supplier)` Install a supplied Property object to the list of subresources
    `T` | `property(String childKey)` Create and configure a Property object to the list of subresources
    `T` | `property(String childKey, PropertyConsumer consumer)` Create and configure a Property object to the list of subresources
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `saslAuthenticationFactory()` Reference to the SASL authentication factory to secure this connector.
    `T` | `saslAuthenticationFactory(String value)` Reference to the SASL authentication factory to secure this connector.
    `String` | `saslProtocol()` The protocol to pass into the SASL mechanisms used for authentication.
    `T` | `saslProtocol(String value)` The protocol to pass into the SASL mechanisms used for authentication.
    `T` | `saslSecurity()` The "sasl" element contains the SASL authentication configuration for this connector.
    `T` | `saslSecurity(SASLSecurity value)` The "sasl" element contains the SASL authentication configuration for this connector.
    `T` | `saslSecurity(SASLSecurityConsumer consumer)` The "sasl" element contains the SASL authentication configuration for this connector.
    `T` | `saslSecurity(SASLSecuritySupplier supplier)` The "sasl" element contains the SASL authentication configuration for this connector.
    `String` | `securityRealm()` The associated security realm to use for authentication for this connector.
    `T` | `securityRealm(String value)` The associated security realm to use for authentication for this connector.
    `String` | `serverName()` The server name to send in the initial message exchange and for SASL based authentication.
    `T` | `serverName(String value)` The server name to send in the initial message exchange and for SASL based authentication.
    `String` | `socketBinding()` The name of the socket binding to attach to.
    `T` | `socketBinding(String value)` The name of the socket binding to attach to.
    `String` | `sslContext()` Reference to the SSLContext to use for this connector.
    `T` | `sslContext(String value)` Reference to the SSLContext to use for this connector.
    `Connector.ConnectorResources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Connector

          public Connector(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public Connector.ConnectorResources subresources()

    - #### properties

          public T properties(List<Property> value)

      Add all Property objects to this subresource
      Parameters:
        `value` - List of Property objects.
      Returns:
        this

    - #### property

          public T property(Property value)

      Add the Property object to the list of subresources
      Parameters:
        `value` - The Property to add
      Returns:
        this

    - #### property

          public T property(String childKey,
                            PropertyConsumer consumer)

      Create and configure a Property object to the list of subresources
      Parameters:
        `key` - The key for the Property resource
        `config` - The PropertyConsumer to use
      Returns:
        this

    - #### property

          public T property(String childKey)

      Create and configure a Property object to the list of subresources
      Parameters:
        `key` - The key for the Property resource
      Returns:
        this

    - #### property

          public T property(PropertySupplier supplier)

      Install a supplied Property object to the list of subresources

    - #### saslSecurity

          public T saslSecurity(SASLSecurity value)

      The "sasl" element contains the SASL authentication configuration for this connector.

    - #### saslSecurity

          public T saslSecurity(SASLSecurityConsumer consumer)

      The "sasl" element contains the SASL authentication configuration for this connector.

    - #### saslSecurity

          public T saslSecurity()

      The "sasl" element contains the SASL authentication configuration for this connector.

    - #### saslSecurity

          public T saslSecurity(SASLSecuritySupplier supplier)

      The "sasl" element contains the SASL authentication configuration for this connector.

    - #### authenticationProvider

          public String authenticationProvider()

      The "authentication-provider" element contains the name of the authentication provider to use for incoming connections.

    - #### authenticationProvider

          public T authenticationProvider(String value)

      The "authentication-provider" element contains the name of the authentication provider to use for incoming connections.

    - #### saslAuthenticationFactory

          public String saslAuthenticationFactory()

      Reference to the SASL authentication factory to secure this connector.

    - #### saslAuthenticationFactory

          public T saslAuthenticationFactory(String value)

      Reference to the SASL authentication factory to secure this connector.

    - #### saslProtocol

          public String saslProtocol()

      The protocol to pass into the SASL mechanisms used for authentication.

    - #### saslProtocol

          public T saslProtocol(String value)

      The protocol to pass into the SASL mechanisms used for authentication.

    - #### securityRealm

          public String securityRealm()

      The associated security realm to use for authentication for this connector.

    - #### securityRealm

          public T securityRealm(String value)

      The associated security realm to use for authentication for this connector.

    - #### serverName

          public String serverName()

      The server name to send in the initial message exchange and for SASL based authentication.

    - #### serverName

          public T serverName(String value)

      The server name to send in the initial message exchange and for SASL based authentication.

    - #### socketBinding

          public String socketBinding()

      The name of the socket binding to attach to.

    - #### socketBinding

          public T socketBinding(String value)

      The name of the socket binding to attach to.

    - #### sslContext

          public String sslContext()

      Reference to the SSLContext to use for this connector.

    - #### sslContext

          public T sslContext(String value)

      Reference to the SSLContext to use for this connector.

Copyright © 2017 JBoss by Red Hat. All rights reserved.